## Golden Layout Community Policy

The Golden Layout Community hereby adopts the following community policy to assist maintainers with keeping the product reliable and well-maintained:

* Reliability is the highest priority.
* Only latest releases of major browsers are targeted.
* Releases and incorporation of PRs will be done in a planned fashion to ensure reliability can be maintained and application developers can upgrade their applications to new releases in a controlled fashion.
* Major releases can have breaking changes.  While these will be documented, it will probably be as dot points. Examination of source code may be necessary for application developers.
* Developers should discuss PRs with maintainers before submitting.  This will reduce the reviewing effort as PRs will be developed in line with maintainers expections.
* PRs must use the same coding style.  (This may be a bit tough as the style is quite verbose - however I thing consistency is important for readability)
* PRs with new feature releases **must** include updates to the apitest app **and** the documentation.  In addition, the code base needs to be satisfactorily refactored so that the code implementing the feature is properly integrated.
* Submitters of PRs are expected to thorougly test their changes before submitting.
* All maintainers need to be actively involved in community.
* Features, fixes and PRs will be not be actioned if no maintainer is interested in addressing.
* Maintainers can enter into paid agreements with users to implement features, fixes or review pull requests. 
    * Such agreements **must** be declared publicly and **can not** override community processes and not in any way be binding on the community.
